package com.purui.prims.common.pojo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.ToString;

import java.util.List;

@Data
@AllArgsConstructor
@Builder
@ToString
public class ItemDateResp {

    @ApiModelProperty(value = "日期格式")
    private String dateFormat;

    @ApiModelProperty(value = "开始日期")
    private String startDate;

    @ApiModelProperty(value = "结束日期")
    private String endDate;

    @ApiModelProperty(value = "日期周期")
    private String datePeriod;

    @ApiModelProperty(value = "不可用日期列表")
    private List<String> unavailableDateList;
}