package com.purui.prims.common.pojo;

import com.purui.prims.common.pojo.enums.FilterOperatorEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class JoinCondition implements Serializable {

    @ApiModelProperty(value = "左表字段")
    private String leftField;

    @ApiModelProperty(value = "右表字段")
    private String rightField;

    @ApiModelProperty(value = "连接条件")
    private FilterOperatorEnum operator;

}
