package com.purui.prims.common.pojo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.util.List;

@AllArgsConstructor
@Data
@ToString
@NoArgsConstructor
public class QueryAuthorization {

    @ApiModelProperty(value = "主题域名称")
    private String domainName;

    @ApiModelProperty(value = "维度过滤条件")
    private List<String> dimensionFilters;

    @ApiModelProperty(value = "维度过滤条件描述")
    private List<String> dimensionFiltersDesc;

    @ApiModelProperty(value = "返回信息")
    private String message;

    public QueryAuthorization(String message) {
        this.message = message;
    }
}