package com.purui.prims.headless.api.pojo;

import com.google.common.collect.Lists;
import com.purui.prims.headless.api.pojo.enums.AppAuthType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(value = "应用授权项")
public class AppAuthItem {

    @ApiModelProperty(value = "ID")
    private Long id;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "业务名称")
    private String bizName;

    @ApiModelProperty(value = "创建人")
    private String createdBy;

    @ApiModelProperty(value = "授权类型")
    private AppAuthType type;

    @ApiModelProperty(value = "关联项")
    private List<AppAuthItem> relateItems = Lists.newArrayList();

    public String getValue() {
        return name;
    }

}
