package com.purui.prims.headless.api.pojo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 收藏项
 *
 * @author charlie
 * @date 2024/8/7
 */
@Data
@ApiModel(value = "收藏项")
public class Collect implements Serializable {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "类型")
    private String type;

    @ApiModelProperty(value = "用户名")
    private String username;

    @ApiModelProperty(value = "收藏id")
    private Long collectId;

    @ApiModelProperty(value = "创建时间")
    private String createTime;

    @ApiModelProperty(value = "更新时间")
    private String updateTime;




}
