package com.purui.prims.headless.api.pojo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class MeasureParam {

    @ApiModelProperty(value = "业务名称")
    private String bizName;

    @ApiModelProperty(value = "约束条件")
    private String constraint;

    @ApiModelProperty(value = "聚合函数")
    private String agg;

    public MeasureParam(String bizName, String constraint) {
        this.bizName = bizName;
        this.constraint = constraint;
    }

}
