package com.purui.prims.headless.api.pojo;

import com.purui.prims.common.pojo.Constants;
import com.purui.prims.common.pojo.enums.TimeMode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "指标类型默认配置")
public class MetricTypeDefaultConfig {

    @ApiModelProperty(value = "时间配置")
    private TimeDefaultConfig timeDefaultConfig =
            new TimeDefaultConfig(7, Constants.DAY, TimeMode.RECENT);

}
