package com.purui.prims.headless.api.pojo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class Param {

    @NotBlank(message = "Invald parameter name")
    @ApiModelProperty(value = "参数名称")
    private String name;

    @NotNull(message = "Invalid parameter value")
    @ApiModelProperty(value = "参数值")
    private String value;

    public Param() {
    }

    public Param(String name, String value) {
        this.name = name;
        this.value = value;
    }

}
