package com.purui.prims.headless.api.pojo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

@Data
@ToString
public class QueryResult<T> implements Serializable {

    @ApiModelProperty(value = "当前第几页")
    private int pageNo = -1;
    @ApiModelProperty(value = "每页大小")
    private int pageSize = -1;
    @ApiModelProperty(value = "总记录数")
    private long totalCount = -1;
    @ApiModelProperty(value = "记录明细")
    private List<T> resultList = new ArrayList<T>();
}