package com.purui.prims.headless.api.pojo.request;

import com.purui.prims.headless.api.pojo.QueryDataType;
import com.purui.prims.headless.api.pojo.enums.MapModeEnum;
import com.purui.prims.auth.api.authentication.pojo.User;
import lombok.Data;
import lombok.ToString;

import java.util.List;

@Data
@ToString
public class QueryMapReq {
    private String queryText;
    private List<String> dataSetNames;
    private User user;
    private Integer topN = 0;
    private MapModeEnum mapModeEnum = MapModeEnum.STRICT;
    private QueryDataType queryDataType = QueryDataType.ALL;
}
