package com.purui.prims.headless.api.pojo.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 角色授权请求
 *
 * @author charlie
 * @date 2024/7/8
 */
@Data
@ApiModel(value = "角色授权Req")
public class RoleAuthReq {

    @ApiModelProperty(value = "角色ID")
    Integer roleId;

    @ApiModelProperty(value = "数据类型")
    String dataType;

    @ApiModelProperty(value = "数据ID")
    Long dataId;

    @ApiModelProperty(value = "授权类型")
    String authType;
}
