package com.purui.prims.headless.core.executor;

import com.purui.prims.headless.core.pojo.QueryStatement;
import com.purui.prims.headless.api.pojo.response.SemanticQueryResp;

/**
 * QueryExecutor submits SQL to the database engine and performs acceleration if necessary.
 */
public interface QueryExecutor {

    boolean accept(QueryStatement queryStatement);

    SemanticQueryResp execute(QueryStatement queryStatement);
}
