package com.purui.prims.headless.chat.corrector;


import com.purui.prims.headless.api.pojo.SemanticParseInfo;
import com.purui.prims.headless.chat.ChatQueryContext;

/**
 * A semantic corrector checks validity of extracted semantic information and
 * performs correction and optimization if needed.
 */
public interface SemanticCorrector {

    void correct(ChatQueryContext queryContext, SemanticParseInfo semanticParseInfo);
}
