package com.purui.prims.dscheduler.model;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class DataXParams {

    // 自定义参数
    private List<Property> localParams = new ArrayList<>();

    private List<String> preStatements = new ArrayList<>();

    private List<String> postStatements = new ArrayList<>();

    private List<Property> resourceList = new ArrayList<>();

    // 数据库(源)类型
    private String dsType;

    // 数据库(目标)类型
    private String dtType;

    // SQL语句
    private String sql;

    private String targetTable;
    // 数据源Id
    private int dataSource;

    // 目标数据源Id
    private int dataTarget;

    private int customConfig = 0;

    private int xms = 1;

    private int xmx = 1;

    private int jobSpeedByte = 0;

    private int jobSpeedRecord = 0;

}
