package com.purui.prims.dscheduler.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/** project */
@Data
public class Project {

    // id
    private Integer id;

    // 用户id
    private Integer userId;

    // 用户名
    private String userName;

    // 项目编号
    private Long code;

    // 项目名
    private String name;

    // 描述
    private String description;

    // 创建时间
    @JsonFormat(locale = "zh", timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    // 修改时间
    @JsonFormat(locale = "zh", timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    // 许可
    private Integer perm;

    // 过程定义数
    private Integer defCount;

    // 流程实例运行计数
    private Integer instRunningCount;
}
