
package com.purui.prims.dscheduler.model;

import com.purui.prims.dscheduler.enums.DataType;
import com.purui.prims.dscheduler.enums.Direct;
import lombok.Data;

import java.io.Serializable;

@Data
public class Property implements Serializable {

    private static final long serialVersionUID = -4045513703397452451L;

    // key
    private String prop;

    /** input/output */
    private Direct direct;

    /** data type */
    private DataType type;

    // value
    private String value;
}
