package com.purui.prims.dscheduler.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 任务实例
 * @author charlie
 * @date 2024/7/29
 */
@Data
public class TaskInstance {

    @ApiModelProperty(value = "任务实例ID")
    private Integer id;

    @ApiModelProperty(value = "任务名称")
    private String name;

    @ApiModelProperty(value = "任务类型")
    private String taskType;

    @ApiModelProperty(value = "流程实例ID")
    private int processInstanceId;

    @ApiModelProperty(value = "流程实例名称")
    private String processInstanceName;

    @ApiModelProperty(value = "项目Code")
    private Long projectCode;

    @ApiModelProperty(value = "任务Code")
    private long taskCode;

    @ApiModelProperty(value = "任务版本")
    private int taskDefinitionVersion;

    @ApiModelProperty(value = "任务状态")
    private String state;

    @ApiModelProperty(value = "首次提交时间")
    private Date firstSubmitTime;

    @ApiModelProperty(value = "提交时间")
    private Date submitTime;

    @ApiModelProperty(value = "开始时间")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    private Date endTime;

    private String host;
}
