package com.purui.prims.headless.server.persistence.dataobject;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 统计周期表
 * </p>
 *
 * @author charlie
 * @since 2024-06-26
 */
@Getter
@Setter
@TableName("pr_statistics_period")
public class StatisticsPeriodDO {

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @TableField("`code`")
    private String code;

    /**
     * 名称
     */
    @TableField("`name`")
    private String name;

    /**
     * 描述
     */
    @TableField("`description`")
    private String description;

    /**
     * 开始日期表达式
     */
    private String startExpr;

    /**
     * 结束日期表达式
     */
    private String endExpr;

    /**
     * 状态
     */
    @TableField("`status`")
    private Boolean status;


}
