package com.purui.prims.headless.server.pojo;

import lombok.Data;

/**
 * DolphinScheduler任务定义
 *
 * @author charlie
 * @date 2024/7/9
 */
@Data
public class DSTaskDefinition {

    private Integer id;
    /**
     * code
     */
    private long code;

    /**
     * name
     */
    private String name;

    /**
     * version
     */
    private int version;

    /**
     * description
     */
    private String description;

    /**
     * project code
     */
    private long projectCode;

    /**
     * task user id
     */
    private int userId;

    /**
     * task type
     */
    private String taskType;

    private String taskParams;

    /**
     * task is valid: yes/no
     */
    private int flag;

    /**
     * task is cache: yes/no
     */
    private int isCache;

    /**
     * task priority
     */
    private int taskPriority;

    /**
     * worker group
     */
    private String workerGroup;

    /**
     * environment code
     */
    private long environmentCode;

    /**
     * fail retry times
     */
    private int failRetryTimes;

    /**
     * fail retry interval
     */
    private int failRetryInterval;

    /**
     * task warning time out. unit: minute
     */
    private int timeout;

    /**
     * delay execution time.
     */
    private int delayTime;

    /**
     * timeout flag
     */
    private int timeoutFlag;

    /**
     * task execute type
     */
    private int taskExecuteType;
}
