package com.purui.prims.headless.server.processor;

import com.purui.prims.headless.api.pojo.response.ParseResp;
import com.purui.prims.headless.chat.ChatContext;
import com.purui.prims.headless.chat.ChatQueryContext;

/**
 * A ParseResultProcessor wraps things up before returning results to users in parse stage.
 */
public interface ResultProcessor {

    void process(ParseResp parseResp, ChatQueryContext queryContext, ChatContext chatContext);

}
