package com.purui.prims.common.pojo;

import com.purui.prims.common.pojo.enums.TypeEnums;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

@Data
@Builder
public class DataItem {

    /***
     * This field uses an underscore (_) at the end.
     */
    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "业务名称")
    private String bizName;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "新名称")
    private String newName;

    @ApiModelProperty(value = "类型")
    private TypeEnums type;

    @ApiModelProperty(value = "模型id")
    private String modelId;

    @ApiModelProperty(value = "默认聚合方式")
    private String defaultAgg;

    public String getNewName() {
        return newName == null ? name : newName;
    }
}
