package com.purui.prims.common.pojo;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class ModelRela extends RecordInfo {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "主题域id")
    private Long domainId;

    @ApiModelProperty(value = "从一个模型")
    private Long fromModelId;

    @ApiModelProperty(value = "到另一个模型")
    private Long toModelId;

    //left join, inner join, right join, outer join
    @ApiModelProperty(value = "关联类型")
    private String joinType;

    @ApiModelProperty(value = "关联条件")
    private List<JoinCondition> joinConditions;

}
