package com.purui.prims.headless.api.pojo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class DrillDownDimension {

    @ApiModelProperty(value = "维度ID")
    private Long dimensionId;

    @ApiModelProperty(value = "维度是否必选")
    private boolean necessary;

    @ApiModelProperty(value = "维度是否继承自模型")
    private boolean inheritedFromModel;

    public DrillDownDimension(Long dimensionId) {
        this.dimensionId = dimensionId;
    }

    public DrillDownDimension(Long dimensionId, boolean necessary) {
        this.dimensionId = dimensionId;
        this.necessary = necessary;
    }

}