package com.purui.prims.headless.api.pojo;

import com.google.common.collect.Lists;
import com.purui.prims.headless.api.pojo.enums.VariableValueType;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class SqlVariable {

    @ApiModelProperty(value = "变量名")
    private String name;

    @ApiModelProperty(value = "变量值类型")
    private VariableValueType valueType;

    @ApiModelProperty(value = "默认值")
    private List<Object> defaultValues = Lists.newArrayList();
}


