package com.purui.prims.headless.api.pojo.request;

import com.purui.prims.common.pojo.RecordInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel(value = "应用Req")
public class AppReq extends RecordInfo {

    @ApiModelProperty(value = "应用ID")
    private Long id;

    @ApiModelProperty(value = "应用名称")
    private String name;

    @ApiModelProperty(value = "应用描述")
    private String description;

    @ApiModelProperty(value = "有效期")
    private Date endDate;

    @ApiModelProperty(value = "QPS限制")
    private Integer qps;

}
