package com.purui.prims.headless.api.pojo.request;

import com.purui.prims.common.pojo.ModelRela;
import com.purui.prims.headless.api.pojo.DataSetDetail;
import com.purui.prims.headless.api.pojo.QueryConfig;
import com.purui.prims.headless.api.pojo.SchemaItem;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "数据集Req")
public class DataSetReq extends SchemaItem {

    @ApiModelProperty(value = "主题域ID")
    private Long domainId;

    @ApiModelProperty(value = "数据集详情")
    private DataSetDetail dataSetDetail;

    @ApiModelProperty(value = "模型关联关系")
    private ModelRela modelRela;

    @ApiModelProperty(value = "数据集别名")
    private String alias;

    @ApiModelProperty(value = "数据集查询配置")
    private QueryConfig queryConfig = new QueryConfig();

}
