package com.purui.prims.headless.api.pojo.request;

import com.purui.prims.common.pojo.RecordInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 数据集持久化配置
 *
 * @author charlie
 * @date 2024/6/21
 */
@Data
@ApiModel(value = "数据集持久化配置Req")
public class DatasetPersistenceConfigReq extends RecordInfo {

    @ApiModelProperty(value = "数据集持久化配置ID")
    Long id;

    @ApiModelProperty(value = "数据集ID")
    Long datasetId;

    @ApiModelProperty(value = "数据库ID")
    Long databaseId;

    @ApiModelProperty(value = "表名")
    String tableName;

    @ApiModelProperty(value = "默认配置")
    String defaultConfig;

    @ApiModelProperty(value = "运行周期ID")
    Integer runCycleId;

    @ApiModelProperty(value = "开始日期")
    String startDate;
}
