package com.purui.prims.headless.api.pojo.request;

import com.purui.prims.common.pojo.ColumnOrder;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
@ApiModel(value = "查询指标Req")
public class MetricQueryReq {

    @ApiModelProperty(value = "指标列表")
    private List<String> metrics;

    @ApiModelProperty(value = "维度列表")
    private List<String> dimensions;

    @ApiModelProperty(value = "变量列表")
    private Map<String, String> variables;

    @ApiModelProperty(value = "过滤条件")
    private String where;

    @ApiModelProperty(value = "最大条数")
    private Long limit;

    @ApiModelProperty(value = "排序字段")
    private List<ColumnOrder> order;

    @ApiModelProperty(value = "是否原生查询")
    private boolean nativeQuery = false;

}
