package com.purui.prims.headless.api.pojo.response;

import com.purui.prims.headless.api.pojo.DataItemInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class StatisticsPeriodResp extends DataItemInfo {

    @ApiModelProperty(value = "编码")
    private String code;

    @ApiModelProperty(value = "名称")
    private String description;

    /**
     * 统计日期表达式,支持recentDate,recentWeek,recentMonth,recentYear
     */
    @ApiModelProperty(value = "表达式")
    private String expr;

}
