package com.purui.prims.headless.core.pojo;

import com.purui.prims.common.pojo.ColumnOrder;
import com.purui.prims.headless.api.pojo.MeasureParam;
import lombok.Data;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Data
public class MetricQueryParam {

    private List<String> metrics;
    private List<String> dimensions;
    private String where;
    private Long limit;
    private List<ColumnOrder> order;
    private boolean nativeQuery = false;

    // deriverd metric
    private Map<String, MeasureParam> derivedMetrics = new HashMap<>(2);

    // composite metric
    private Map<String, String> compositeMetrics = new HashMap<>(2);

}
