package com.purui.prims.dscheduler.model;

import lombok.Data;

/**
 * 定时器
 *
 * @author charlie
 * @date 2024/7/16
 */
@Data
public class ProcessScheduler {

    private Long id;
    private Long processDefinitionCode;
    private String processDefinitionName;
    private String projectName;
    private String crontab;
    private String startTime;
    private String endTime;
    private String failureStrategy;
    private String processInstancePriority;
    private String workerGroup;
    private String warningType;
    private Integer warningGroupId;
    private String releaseState;
    private String timezoneId;
    private String definitionDescription;
    private Integer userId;
    private String userName;
    private String createTime;
    private String updateTime;
    private Object tenantCode;
    private Integer environmentCode;
    private Object environmentName;



}
