package com.purui.prims.headless.server.persistence.dataobject;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @author charlie
 * @since 2024-07-26
 */
@Getter
@Setter
@TableName("pr_metric_lineage")
public class MetricLineageDO {

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private Long metricId;

    private String metricName;

    private String metricType;

    private Long sourceMetricId;

    private String aggregateType;

    @TableField("`description`")
    private String description;

    private Date createdAt;

    private Date updatedAt;


}
