package com.purui.prims.headless.server.persistence.dataobject;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 指标版本
 * @author charlie
 * @since 2024-07-22
 */
@Data
@TableName("pr_metric_version")
public class MetricVersionDO {

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 指标ID
     */
    private Long metricId;

    /**
     * 指标信息
     */
    private String defaultConfig;

    /**
     * 版本号
     */
    private String versionNo;

    /**
     * 版本序号
     */
    private int version;

    /**
     * 状态
     */
    @TableField("`status`")
    private Boolean status;

    private Date createdAt;

    private Date updatedAt;

}
