package com.purui.prims.headless.server.pojo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 指标版本
 * @author charlie
 * @date 2024/7/30
 */
@Data
public class MetricVersion implements Serializable {

    @ApiModelProperty(value = "ID")
    int id;

    @ApiModelProperty(value = "指标ID")
    Long metricId;

    @ApiModelProperty(value = "版本号")
    String versionNo;

    @ApiModelProperty(value = "内部版本")
    int version;

    @ApiModelProperty(value = "默认配置")
    String defaultConfig;

    @ApiModelProperty(value = "状态")
    boolean status;

}
