package com.purui.prims.headless.server.service;

import com.purui.prims.auth.api.authentication.pojo.User;
import com.purui.prims.headless.api.pojo.request.DictItemFilter;
import com.purui.prims.headless.api.pojo.request.DictItemReq;
import com.purui.prims.headless.api.pojo.response.DictItemResp;

import java.util.List;

/**
 * Make relevant settings for the dictionary
 */
public interface DictConfService {

    DictItemResp addDictConf(DictItemReq itemValueReq, User user);

    DictItemResp editDictConf(DictItemReq itemValueReq, User user);

    List<DictItemResp> queryDictConf(DictItemFilter dictItemFilter, User user);
}
