package com.purui.prims.headless.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.purui.prims.headless.api.pojo.response.MetricResp;
import com.purui.prims.headless.server.persistence.dataobject.MetricLineageDO;
import com.purui.prims.headless.server.pojo.MetricLineage;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author charlie
 * @since 2024-07-26
 */
public interface MetricLineageService extends IService<MetricLineageDO> {

    MetricLineage getLineages(Long metricId);

    boolean saveMetricLineage(MetricResp metricResp);
}
