package com.purui.prims.headless.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.purui.prims.auth.api.authentication.pojo.User;
import com.purui.prims.headless.api.pojo.request.StatisticsPeriodReq;
import com.purui.prims.headless.api.pojo.response.StatisticsPeriodResp;
import com.purui.prims.headless.server.persistence.dataobject.StatisticsPeriodDO;

import java.util.List;

public interface StatisticsPeriodService extends IService<StatisticsPeriodDO> {

    boolean saveOrUpdate(StatisticsPeriodReq periodReq, User user);

    List<StatisticsPeriodResp> getStatisticsPeriods();
}
